// creator  : weidu.exe (version 23100)
// argument : SHOPKN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SHOPKN~

IF ~!PartyHasItem("MISC01")
~ THEN BEGIN 0 // from:
  SAY #361 /* ~Spell Sequencer - Ice Storm~ */
  IF ~~ THEN REPLY #15285 /* ~'Entertainment'?  What kind of 'entertainment' are you speaking of, Garroll?~ */ DO ~StartStore("sto4803",LastTalkedToBy())~ JOURNAL #7122 /* ~The Final Battle with Bodhi.

While I had feared for some time that Bodhi's final revenge on me would be to take away Viconia forever, it seems that the information in the lorebook was right... Amaunator's idol has restored Viconia not only to life, but has removed the vampiric curse from her, as well.~ */ EXIT
  IF ~~ THEN REPLY #15286 /* ~I'm not interested.  Please excuse me.~ */ EXIT
END

IF ~PartyHasItem("MISC01")
~ THEN BEGIN 1 // from:
  SAY #8790 /* ~She never... I never heard... When did she...?~ */
  IF ~~ THEN DO ~TakePartyItem("MISC01")
GiveGoldForce(500)
~ EXIT
END
